Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 452584 (CVE-2013-0189) - <net-proxy/squid-3.1.23: Incomplete fix for the CVE-2012-5643 (CVE-2013-0189)
Summary: <net-proxy/squid-3.1.23: Incomplete fix for the CVE-2012-5643 (CVE-2013-0189)
Status: RESOLVED FIXED
Alias: CVE-2013-0189
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal minor (vote)
Assignee: Gentoo Security
URL: https://bugzilla.redhat.com/show_bug....
Whiteboard: B3 [glsa]
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-16 17:40 UTC by Agostino Sarubbo
Modified: 2013-09-27 09:52 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Agostino Sarubbo gentoo-dev 2013-01-16 17:40:47 UTC
From $URL :

Originally, Common Vulnerabilities and Exposures assigned an identifier CVE-2012-5643 (bug #887962) 
to the following vulnerability:

Multiple memory leaks in tools/cachemgr.cc in cachemgr.cgi in Squid 2.x and 3.x before 3.1.22, 
3.2.x before 3.2.4, and 3.3.x before 3.3.0.2 allow remote attackers to cause a denial of service 
(memory consumption) via (1) invalid Content-Length headers, (2) long POST requests, or (3) crafted 
authentication credentials.

Later it was found the upstream patch for CVE-2012-5643 issue to be incomplete, resulting in new 
patchset:
[1] http://bazaar.launchpad.net/~squid/squid/3.2/revision/11743
[2] http://bazaar.launchpad.net/~squid/squid/3.2/revision/11744

The CVE identifier of CVE-2013-0189 has been assigned to this new issue (and new patchset).
Comment 1 Eray Aslan gentoo-dev 2013-01-16 19:09:24 UTC
@security:  We can stabilize =net-proxy/squid-3.1.23 which also has the additional fixes for CVE-2012-5643.  Thank you.
Comment 2 Sean Amoss gentoo-dev Security 2013-03-03 22:39:06 UTC
(In reply to comment #1)
> @security:  We can stabilize =net-proxy/squid-3.1.23 which also has the
> additional fixes for CVE-2012-5643.  Thank you.

Thanks, Eray.

Arches, please test and mark stable:
=net-proxy/squid-3.1.23
Target KEYWORDS: "alpha amd64 arm hppa ia64 ~mips ppc ppc64 sparc x86 ~x86-fbsd"
Comment 3 Agostino Sarubbo gentoo-dev 2013-03-04 09:10:59 UTC
amd64 stable
Comment 4 Agostino Sarubbo gentoo-dev 2013-03-04 09:20:32 UTC
x86 stable
Comment 5 Brent Baude (RETIRED) gentoo-dev 2013-03-04 18:19:05 UTC
ppc done
Comment 6 Jeroen Roovers gentoo-dev 2013-03-04 19:06:42 UTC
Stable for HPPA.
Comment 7 GLSAMaker/CVETool Bot gentoo-dev 2013-03-04 23:13:33 UTC
CVE-2013-0189 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2013-0189):
  cachemgr.cgi in Squid 3.1.x and 3.2.x, possibly 3.1.22, 3.2.4, and other
  versions, allows remote attackers to cause a denial of service (resource
  consumption) via a crafted request.  NOTE: this issue is due to an incorrect
  fix for CVE-2012-5643, possibly involving an incorrect order of arguments or
  incorrect comparison.
Comment 8 Agostino Sarubbo gentoo-dev 2013-03-08 17:22:51 UTC
arm stable
Comment 9 Agostino Sarubbo gentoo-dev 2013-03-09 11:04:10 UTC
ppc64 stable
Comment 10 Agostino Sarubbo gentoo-dev 2013-03-09 13:25:49 UTC
alpha stable
Comment 11 Agostino Sarubbo gentoo-dev 2013-03-09 14:24:03 UTC
ia64 stable
Comment 12 Agostino Sarubbo gentoo-dev 2013-03-09 19:07:48 UTC
sparc stable
Comment 13 Sean Amoss gentoo-dev Security 2013-03-22 16:02:09 UTC
Adding to the existing GLSA draft that contains CVE-2012-5643, unless someone strongly disagrees.
Comment 14 GLSAMaker/CVETool Bot gentoo-dev 2013-09-27 09:52:13 UTC
This issue was resolved and addressed in
 GLSA 201309-22 at http://security.gentoo.org/glsa/glsa-201309-22.xml
by GLSA coordinator Sergey Popov (pinkbyte).